=== debian/changelog ===
libretro-bsnes-mercury (094+git20160126-2) unstable; urgency=medium

  * Team upload.
  * Apply Ubuntu's packaging changes:
    + Use -O2 optimization, not -O3. Fixes FTBFS on some archs
      (Closes: #861002).
    + Add .libretro metadata for better integration with gnome-games
      (Closes: #911326).
  * Fix file name in Files stanza in debian/copyright.
  * Bump debhelper compat to 11.
  * Enable all hardening flags.
  * Switch Maintainer and Uploaders roles in debian/control.
  * Fix insecure copyright format URI in debian/copyright.
  * Bump Standards-Version to 4.3.0.
  * Remove unnecessary dh argument "--parallel" from debian/rules.
  * Update patches to make the build consider the CPPFLAGS variable.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 Feb 2019 17:37:17 +0100

libretro-bsnes-mercury (094+git20160126-1ubuntu2) artful; urgency=medium

  * debian/patches/O2-not-O3-optimization.patch: use -O2 optimization,
    not -O3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 11 Aug 2017 22:20:14 -0700

libretro-bsnes-mercury (094+git20160126-1ubuntu1) zesty; urgency=medium

  * libretro-bsnes-mercury-balanced:
    - Add appstream and .libretro metadata for better integration
      with gnome-games-app and gnome-software
    - Allow gnome-games-app to be an alternate depends
  * Use dh-exec instead of manual .sh script for install file

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Apr 2017 12:39:21 -0400

libretro-bsnes-mercury (094+git20160126-1) unstable; urgency=low

  * Initial release (Closes: #814356).

 -- Sérgio Benjamim <sergio_br2@yahoo.com.br>  Sun, 10 Apr 2016 22:17:00 -0300
