=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,--no-undefined
export DEB_CXXFLAGS_MAINT_STRIP=-O2
export DEB_CFLAGS_MAINT_STRIP=-O2

ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)

ifeq ($(ARCH),armhf)
	ARM=arch=arm
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- profile=accuracy ui=target-libretro $(ARM)
	dh_auto_build -- profile=balanced ui=target-libretro $(ARM)
	dh_auto_build -- profile=performance ui=target-libretro $(ARM)

override_dh_auto_test:

override_dh_auto_clean:
	$(MAKE) clean
