=== debian/changelog ===
libretro-bsnes-mercury (094+git20220807-8) unstable; urgency=medium

  * Team upload
  * Fix Kodi plugins buttonmap.xml location (Closes: #1034583)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 11 May 2023 10:47:35 +0000

libretro-bsnes-mercury (094+git20220807-7) unstable; urgency=medium

  * Team upload
  * Correct Architecture on kodi-* packages to build on armel/armhf
    (Closes: #1034524)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 19 Apr 2023 09:49:56 +0100

libretro-bsnes-mercury (094+git20220807-6) unstable; urgency=medium

  * Team upload
  * Don't build kodi-* packages on mips* as kodi isn't available there

 -- Jonathan McDowell <noodles@earth.li>  Sun, 05 Feb 2023 11:33:37 +0000

libretro-bsnes-mercury (094+git20220807-5) unstable; urgency=medium

  * Team upload
  * Fix kodi-game-libretro-bsnes-mercury-accuracy dependency
    (Closes: #1030309)

 -- Jonathan McDowell <noodles@earth.li>  Thu, 02 Feb 2023 18:49:15 +0000

libretro-bsnes-mercury (094+git20220807-4) unstable; urgency=medium

  * Team upload
  * Upload to unstable now kodi-game-libretro has been accepted

 -- Jonathan McDowell <noodles@earth.li>  Wed, 01 Feb 2023 20:25:05 +0000

libretro-bsnes-mercury (094+git20220807-3) experimental; urgency=medium

  * Team upload
  * Upload to experimental pending kodi-game-libretro being accepted from NEW.
  * Correct Kodi library names to include _libretro suffix

 -- Jonathan McDowell <noodles@earth.li>  Fri, 27 Jan 2023 10:47:55 +0000

libretro-bsnes-mercury (094+git20220807-2) experimental; urgency=medium

  * Team upload
  * Upload to experimental pending kodi-game-libretro being accepted from NEW.
  * Update Vcs-* links to new libretro subproject
  * Add support for kodi-libretro-game configuration
  * Bump Standards-Version to 4.6.2.

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Jan 2023 15:19:22 +0000

libretro-bsnes-mercury (094+git20220807-1) unstable; urgency=medium

  * Team upload
  * New upstream snapshot
    * Refresh patches
    * Update for build system changes + drop dh-exec usage
    * Update debian/copyright

 -- Jonathan McDowell <noodles@earth.li>  Wed, 21 Dec 2022 19:52:32 +0000

libretro-bsnes-mercury (094+git20160126-3) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS: Rename CXX to compiler. (Closes: #941325)

 -- Fabian Greffrath <fabian@debian.org>  Wed, 09 Oct 2019 20:54:35 +0200
