=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Sérgio Benjamim <sergio_br2@yahoo.com.br>
-Build-Depends: debhelper-compat (= 12), dh-exec
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/games-team/libretro-bsnes-mercury.git
-Vcs-Browser: https://salsa.debian.org/games-team/libretro-bsnes-mercury
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/games-team/libretro/libretro-bsnes-mercury.git
+Vcs-Browser: https://salsa.debian.org/games-team/libretro/libretro-bsnes-mercury
 Homepage: https://github.com/libretro/bsnes-mercury
 
 Package: libretro-bsnes-mercury-accuracy
@@ -69,3 +69,64 @@
  This package comes with the bsnes-mercury performance core, which provides
  faster emulation at the cost of reduced accuracy, including problems with some
  games.
+
+Package: kodi-game-libretro-bsnes-mercury-accuracy
+Architecture: any-amd64 any-arm64 any-arm any-i386 any-powerpc any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64
+Multi-Arch: same
+Depends: kodi-game-libretro, libretro-bsnes-mercury-accuracy, ${misc:Depends}
+Description: Kodi integration for bsnes-mercury accuracy core
+ This package contains the appropriate Kodi configuration to allow the use of
+ the bsnes-mercury accuracy libretro core with Kodi via kodi-game-libretro.
+ .
+ This core is enabled to emulate only SNES hardware and its subsystems (from
+ the command line only), like Super Game Boy, Satellaview and Sufami Turbo.
+ .
+ bsnes-mercury is a fork of higan, aiming to restore some useful features that
+ have been removed, as well as improving performance a bit. Maximum accuracy is
+ still uncompromisable; anything that affects accuracy is optional and off by
+ default. The name is because metals are shiny, like the accuracy promises of
+ bsnes, and mercury is the fastest metal.
+ .
+ This package pulls in the bsnes-mercury accuracy core, which runs 100% of SNES
+ games, with perfect emulation of the console. It requires high CPU usage.
+
+Package: kodi-game-libretro-bsnes-mercury-balanced
+Architecture: any-amd64 any-arm64 any-arm any-i386 any-powerpc any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64
+Multi-Arch: same
+Depends: kodi-game-libretro, libretro-bsnes-mercury-balanced, ${misc:Depends}
+Description: Kodi integration for bsnes-mercury balanced core
+ This package contains the appropriate Kodi configuration to allow the use of
+ the bsnes-mercury balanced libretro core with Kodi via kodi-game-libretro.
+ .
+ This core is enabled to emulate only SNES hardware and its subsystems (from
+ the command line only), like Super Game Boy, Satellaview and Sufami Turbo.
+ .
+ bsnes-mercury is a fork of higan, aiming to restore some useful features that
+ have been removed, as well as improving performance a bit. Maximum accuracy is
+ still uncompromisable; anything that affects accuracy is optional and off by
+ default. The name is because metals are shiny, like the accuracy promises of
+ bsnes, and mercury is the fastest metal.
+ .
+ This package pulls in the bsnes-mercury balanced core, which tries to keep  a
+ good balance between accuracy and performance. It runs almost all SNES games.
+
+Package: kodi-game-libretro-bsnes-mercury-performance
+Architecture: any-amd64 any-arm64 any-arm any-i386 any-powerpc any-ppc64 any-ppc64el any-riscv64 any-s390x any-sparc64
+Multi-Arch: same
+Depends: kodi-game-libretro, libretro-bsnes-mercury-performance, ${misc:Depends}
+Description: Kodi integration for bsnes-mercury performance core
+ This package contains the appropriate Kodi configuration to allow the use of
+ the bsnes-mercury performance libretro core with Kodi via kodi-game-libretro.
+ .
+ This core is enabled to emulate only SNES hardware and its subsystems (from
+ the command line only), like Super Game Boy, Satellaview and Sufami Turbo.
+ .
+ bsnes-mercury is a fork of higan, aiming to restore some useful features that
+ have been removed, as well as improving performance a bit. Maximum accuracy is
+ still uncompromisable; anything that affects accuracy is optional and off by
+ default. The name is because metals are shiny, like the accuracy promises of
+ bsnes, and mercury is the fastest metal.
+ .
+ This package pulls in the bsnes-mercury performance core, which provides
+ faster emulation at the cost of reduced accuracy, including problems with some
+ games.
