=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,11 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- profile=accuracy ui=target-libretro $(ARM)
-	dh_auto_build -- profile=balanced ui=target-libretro $(ARM)
-	dh_auto_build -- profile=performance ui=target-libretro $(ARM)
+	dh_auto_build -- PROFILE=accuracy ui=target-libretro compiler='$$(CXX)' $(ARM)
+	find . -name *.o -delete
+	dh_auto_build -- PROFILE=balanced ui=target-libretro compiler='$$(CXX)' $(ARM)
+	find . -name *.o -delete
+	dh_auto_build -- PROFILE=performance ui=target-libretro compiler='$$(CXX)' $(ARM)
 
 override_dh_auto_test:
